> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bnzgreen.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Order Status

> Get the current status of an offset order



## OpenAPI

````yaml GET /offset-gateway/orders/{id}/status
openapi: 3.0.1
info:
  title: Offset Gateway API
  description: API specification for carbon credit purchases and offsets
  version: 1.0.0
servers:
  - url: https://api.sandbox.external.bnznow.com
    description: Sandbox server for marketplace APIs
  - url: https://api.external.bnznow.com
    description: Production server for marketplace APIs
security: []
paths:
  /offset-gateway/orders/{id}/status:
    get:
      tags:
        - Offset
      summary: Get Order Status
      description: Get status of a specific offset order
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
          description: API key for authentication
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Order ID
      responses:
        '200':
          description: Order status retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - pending
                      - completed
                      - failed
                    description: Current status of the order
                  order_id:
                    type: string
                    description: Unique identifier for the order
                  created_at:
                    type: string
                    format: date-time
                    description: Order creation timestamp
                  emission_amount:
                    type: number
                    description: Amount of emissions to offset
                  emission_unit:
                    type: string
                    description: Unit of emission measurement
        '404':
          description: Order not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string

````